unit CalcTest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    btnAdd: TButton;
    btnDivide: TButton;
    btnMultiply: TButton;
    btnSubtract: TButton;
    edtA: TEdit;
    edtB: TEdit;
    edtAnswer: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure btnAddClick(Sender: TObject);
    procedure btnDivideClick(Sender: TObject);
    procedure btnSubtractClick(Sender: TObject);
    procedure btnMultiplyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
uses ComObj;

procedure TForm1.btnAddClick(Sender: TObject);
var ovSOAPClient : Olevariant;
    a,b, answer : double;
begin
    ovSOAPClient := CreateOleObject('MSSOAP.SoapClient');

    ovSOAPClient.mssoapinit (   'http://localhost/itec/CalcITEC.wsdl',
                                'CalcITEC', 'CalcITECPortType');


    a       :=  StrToFloat(edtA.Text);
    b       :=  StrToFloat(edtB.Text);

    answer  :=  ovSOAPClient.Add (a,b);

    edtAnswer.Text := FloatToStr(answer);
end;

procedure TForm1.btnDivideClick(Sender: TObject);
var ovSOAPClient : Olevariant;
    a,b, answer : double;
begin
    ovSOAPClient := CreateOleObject('MSSOAP.SoapClient');

    ovSOAPClient.mssoapinit (   'http://localhost/itec/CalcITEC.wsdl',
                                'CalcITEC', 'CalcITECPortType');


    a       :=  StrToFloat(edtA.Text);
    b       :=  StrToFloat(edtB.Text);

    answer  :=  ovSOAPClient.Divide (a,b);

    edtAnswer.Text := FloatToStr(answer);
end;

procedure TForm1.btnSubtractClick(Sender: TObject);
var ovSOAPClient : Olevariant;
    a,b, answer : double;
begin
    ovSOAPClient := CreateOleObject('MSSOAP.SoapClient');

    ovSOAPClient.mssoapinit (   'http://localhost/itec/CalcITEC.wsdl',
                                'CalcITEC', 'CalcITECPortType');


    a       :=  StrToFloat(edtA.Text);
    b       :=  StrToFloat(edtB.Text);

    answer  :=  ovSOAPClient.Subtract (a,b);

    edtAnswer.Text := FloatToStr(answer);
end;

procedure TForm1.btnMultiplyClick(Sender: TObject);
var ovSOAPClient : Olevariant;
    a,b, answer : double;
begin
    ovSOAPClient := CreateOleObject('MSSOAP.SoapClient');

    ovSOAPClient.mssoapinit (   'http://localhost/itec/CalcITEC.wsdl',
                                'CalcITEC', 'CalcITECPortType');


    a       :=  StrToFloat(edtA.Text);
    b       :=  StrToFloat(edtB.Text);

    answer  :=  ovSOAPClient.Multiply (a,b);

    edtAnswer.Text := FloatToStr(answer);
end;

end.
