unit ITECCalc;

interface

uses
  ComObj, ActiveX, ITEC_TLB, StdVcl;

type
  TCalc = class(TAutoObject, ICalc)
  protected
    function Add(A,B: Double): Double; safecall;
    function Divide(A, B: Double): Double; safecall;
    function Multiply(A, B: Double): Double; safecall;
    function Subtract(A, B: Double): Double; safecall;
    { Protected declarations }
  end;

implementation

uses ComServ;

function TCalc.Add(A,B: Double): Double;
begin
    Add := A + B;
end;

function TCalc.Divide(A, B: Double): Double;
begin
    if (A <> 0) AND (B <> 0) then
      Divide := A / B
    else
      Divide := 0;
end;

function TCalc.Multiply(A, B: Double): Double;
begin
    Multiply := A * B;
end;

function TCalc.Subtract(A, B: Double): Double;
begin
    Subtract:= A - B;
end;

initialization
  TAutoObjectFactory.Create(ComServer, TCalc, Class_Calc,
    ciMultiInstance, tmApartment);
end.
